$('body').keydown(function(e){
	if(e.which == 27 || e.which == 81) { // Нажатие Esc или Q
		if($('input').is(':focus')) return;
		if($('textarea').is(':focus')) return;
		e.preventDefault();
        // Находим последнее окно
        var n=$('.popup').length;
        var w=$('.popup').eq(n-1);
        // Проверяем можно ли закрывать это окно
        if($('.close_button', w).length>0) {
        	w.remove(); // Закрываем окно
        }
    }
    
	if($('.popup').length>0) return;

	if($('input[name="gs1_symbols"]').length>0 || $('.mark_return_input').length<0) {
		return;
	}

	if($('input[name="product_search"]').is(":focus") && $('input[name="product_search"]').val()!='') {
		return;
	}
	if(e.which==112) { // F1
		e.preventDefault();
		location.href='/receipts/sales';
		return;
	}

	if(e.which==113) { // F2
		e.preventDefault();
		location.href='/receipts/return';
		return;
	}

	if(e.which==114) { // F3
		e.preventDefault();
		location.href='/receipts/search';
		return;
	}

	if(e.which==117) { // F6
		e.preventDefault();
		location.href='/receipts/cashin';
		return;
	}

	if(e.which==118) { // F7
		e.preventDefault();
		location.href='/receipts/cashout';
		return;
	}

	if(e.which==119) { // F8
		e.preventDefault();
		location.href='/receipts/reports';
		return;
	}
});